FailTimeStop Class Reference

Stop object combining time and failuresa. More...

## Public Member Functions

| FailTimeStop (unsigned int fail, unsigned int time)
| Initialize stop object.
virtual bool | stop (const Search::Statistics &s, const Search::Options &o)
| Test whether search must be stopped.
bool | fail (const Search::Statistics &s, const Search::Options &o) const
| Whether the stop was due to failures.
bool | time (const Search::Statistics &s, const Search::Options &o) const
| Whether the stop was due to time.
| ~FailTimeStop (void)
| Destructor.
| Stop (void)
| Default constructor.
virtual | ~Stop (void)
| Destructor.

## Protected Attributes

Search::FailStop * | fs
| Used fail stop object.
Search::TimeStop * | ts
| Used time stop object.

## Additional Inherited Members

static Stop * | node (unsigned long int l)
| Stop if node limit l has been exceeded.
static Stop * | fail (unsigned long int l)
| Stop if failure limit l has been exceeded.
static Stop * | time (unsigned long int l)
| Stop if time limit l (in milliseconds) has been exceeded.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Stop object combining time and failuresa.

Definition at line 577 of file job-shop.cpp.

## Constructor & Destructor Documentation

## FailTimeStop()

FailTimeStop::FailTimeStop | ( | unsigned int | fail,
|  | unsigned int | time )

inline

Initialize stop object.

Definition at line 583 of file job-shop.cpp.

## ~FailTimeStop()

FailTimeStop::~FailTimeStop | ( | void |  | ) |

inline

Destructor.

Definition at line 599 of file job-shop.cpp.

## Member Function Documentation

## stop()

virtual bool FailTimeStop::stop | ( | const Search::Statistics & | s,
|  | const Search::Options & | o )

inline virtual

Test whether search must be stopped.

Implements Gecode::Search::Stop.

Definition at line 587 of file job-shop.cpp.

## fail()

bool FailTimeStop::fail | ( | const Search::Statistics & | s,
|  | const Search::Options & | o ) const

inline

Whether the stop was due to failures.

Definition at line 591 of file job-shop.cpp.

## time()

bool FailTimeStop::time | ( | const Search::Statistics & | s,
|  | const Search::Options & | o ) const

inline

Whether the stop was due to time.

Definition at line 595 of file job-shop.cpp.

## Member Data Documentation

## fs

Search::FailStop* FailTimeStop::fs

protected

Used fail stop object.

Definition at line 579 of file job-shop.cpp.

## ts

Search::TimeStop* FailTimeStop::ts

protected

Used time stop object.

Definition at line 580 of file job-shop.cpp.

The documentation for this class was generated from the following file:

- examples/job-shop.cpp